GNU bug report logs - #59232
27.2; vc-annotate on SVN does not process all lines

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Pierre Rouleau <prouleau001@HIDDEN>; dated Sun, 13 Nov 2022 00:16:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 59232 <at> debbugs.gnu.org:


Received: (at 59232) by debbugs.gnu.org; 13 Nov 2022 18:05:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 13 13:05:31 2022
Received: from localhost ([127.0.0.1]:52493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouHMI-00055p-PF
	for submit <at> debbugs.gnu.org; Sun, 13 Nov 2022 13:05:31 -0500
Received: from mail-lf1-f48.google.com ([209.85.167.48]:44549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <prouleau001@HIDDEN>) id 1ouHMF-00055a-G6
 for 59232 <at> debbugs.gnu.org; Sun, 13 Nov 2022 13:05:29 -0500
Received: by mail-lf1-f48.google.com with SMTP id p8so15862081lfu.11
 for <59232 <at> debbugs.gnu.org>; Sun, 13 Nov 2022 10:05:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=8xX3xqjV4wX8ZmwXyzfdZKvaMPUqAOVjTlTe/u2aSY0=;
 b=Kug63XUx/IoSU6KzdbvdEq564ibaR2DIXknrDwBEeRu328JFvh1hxooPnvfjC+L5Wa
 g+vmQpFTpvCzbzzCYT+iH9GTrnrITu65jVgW8pL8R4xOsc/G+wtB5cawbNPxwOPQfYSo
 mA7zyx6fkQpiDwhf2TzPNc4lXkdseA8laGpbv+HLkdgrQ4qzWipMxLLROmgRFsUXRlRz
 t+DJNDrUfuTBcNgsi9JcCLyWDGHfD40LwVCjZhiWF6RCVBpc9mr+my3OWNvP231hB+PK
 p+sGWEccVO8hzF06gSZMeqk1DqYELFLO5Cl0XN77L+3iCB7WUI/NsATGJTu53ePy5abK
 GdOQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=8xX3xqjV4wX8ZmwXyzfdZKvaMPUqAOVjTlTe/u2aSY0=;
 b=31WGklEXmfN82uwrerjk/HnDyhqY+jw/NH3ltHexPaPoA10UmUY7hRtcBQ9h94fjIj
 VCjxeRgOkGFl04P4aEhqLzpbVqFRsto6JS/9X7ppm9I34ndN8BbAUkzSKA7Z8SVhFs74
 NZ+j7ZC6vnAyAYibK+29Zpe4gDgcs1Dk4cBo2r+CXS5v0Q3JKWC2wq9URc00Gloz+fcv
 L5Et5sNa8+vLMvNT8eVAU/yPxjm9pYsOIANeDHfQsrZ7Hk61+UvhCssYmYmx6WjnTzGO
 LajiaeEfpgBadYSxy83rLcNF6+GPVnPtDdLt6RbeEZcYOzdFuFt+26Ccgy4MQ70wMR22
 rHiQ==
X-Gm-Message-State: ANoB5pnKUxeoigotGROwnFOMu2Tz+RuHv7RBMeVgj13A/YLLZkdRG0mi
 J1wlwoHEVY69h/qRoNCA5r1FF0LsapX+oArVlyM=
X-Google-Smtp-Source: AA0mqf6E/nhxyERXwRxjT6r0Uu2EYi/qa2UqAvrXl2cOvu7XPTuq5KKeKFXnnzDNvgLt+YaDtpfiIInzJHIpciR11Mg=
X-Received: by 2002:a05:6512:613:b0:4a4:782a:42ac with SMTP id
 b19-20020a056512061300b004a4782a42acmr3026388lfe.468.1668362721037; Sun, 13
 Nov 2022 10:05:21 -0800 (PST)
MIME-Version: 1.0
References: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
 <83bkpbmkcx.fsf@HIDDEN>
 <CALTqLiYki2w3XCqduJ-2dcoGgp773Cih94556ZaDJwOpJeXPBA@HIDDEN>
 <83a64ulsds.fsf@HIDDEN>
In-Reply-To: <83a64ulsds.fsf@HIDDEN>
From: Pierre Rouleau <prouleau001@HIDDEN>
Date: Sun, 13 Nov 2022 13:05:09 -0500
Message-ID: <CALTqLia6t5UtFG4tTh39yotfZaypxMDE1J=Va9cm-5HV4WF9zA@HIDDEN>
Subject: Re: bug#59232: 27.2; vc-annotate on SVN does not process all lines
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000058181b05ed5df772"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 59232
Cc: 59232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--00000000000058181b05ed5df772
Content-Type: text/plain; charset="UTF-8"

On Sun, Nov 13, 2022 at 11:40 AM Eli Zaretskii <eliz@HIDDEN> wrote:

> >
> > On Sun, Nov 13, 2022 at 1:36 AM Eli Zaretskii <eliz@HIDDEN> wrote:
> >
> >  Can you suggest a publicly-accessible SVN repository that can be used
> >  for reproducing this problem and testing possible solutions?  It is
> >  hard to find repositories that fit your conditions these days.
> >
> > As you probably guessed, the repo I'm using is a corporate one and the
> environment I'm using is an old
> > version of Linux *because* of the corporate product requirement.  One
> way would be to just create a dummy
> > repo with subversion and commit a large file inside it.  Aside from the
> current corporate settings, I had never
> > used Subversion.  Do you know where I could push a test depot on a
> public repo site?
>
> No, I don't.  I hoped you could know of an already existing
> repository.  To reproduce the problem, one doesn't need to commit
> anything, one just needs to use an existing repository in a read-only
> fashion.
>
I don't either, unfortunately.  Like most I normally do not use
Subversion.  I'm only using it because of this corporate requirement and if
it wasn't for Emacs I would royally dislike it.  Fortunately Emacs makes it
palatable.  I have seen mentions of https://www.springloops.io/ and
https://riouxsvn.com/ but I've never used those and before I did I'd like
to know if anyone has used them before.

-- 
/Pierre

--00000000000058181b05ed5df772
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><br></div><br><div class=3D"gmail_quote">=
<div dir=3D"ltr" class=3D"gmail_attr">On Sun, Nov 13, 2022 at 11:40 AM Eli =
Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<b=
r></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex=
;border-left:1px solid rgb(204,204,204);padding-left:1ex">
&gt; <br>
&gt; On Sun, Nov 13, 2022 at 1:36 AM Eli Zaretskii &lt;<a href=3D"mailto:el=
iz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt; wrote:<br>
&gt; <br>
&gt;=C2=A0 Can you suggest a publicly-accessible SVN repository that can be=
 used<br>
&gt;=C2=A0 for reproducing this problem and testing possible solutions?=C2=
=A0 It is<br>
&gt;=C2=A0 hard to find repositories that fit your conditions these days.<b=
r>
&gt; <br>
&gt; As you probably guessed, the repo I&#39;m using is a corporate one and=
 the environment I&#39;m using is an old<br>
&gt; version of Linux *because* of the corporate product requirement.=C2=A0=
 One way would be to just create a dummy<br>
&gt; repo with subversion and commit a large file inside it.=C2=A0 Aside fr=
om the current corporate settings, I had never<br>
&gt; used Subversion.=C2=A0 Do you know where I could push a test depot on =
a public repo site?<br>
<br>
No, I don&#39;t.=C2=A0 I hoped you could know of an already existing<br>
repository.=C2=A0 To reproduce the problem, one doesn&#39;t need to commit<=
br>
anything, one just needs to use an existing repository in a read-only<br>
fashion.<br>
</blockquote></div>I don&#39;t either, unfortunately.=C2=A0 Like most I nor=
mally do not use Subversion.=C2=A0 I&#39;m only using it because of this co=
rporate requirement and if it wasn&#39;t for Emacs I would royally dislike =
it.=C2=A0 Fortunately Emacs makes it palatable.=C2=A0 I have seen mentions =
of <a href=3D"https://www.springloops.io/">https://www.springloops.io/</a> =
and <a href=3D"https://riouxsvn.com/">https://riouxsvn.com/</a> but I&#39;v=
e never used those and before I did I&#39;d like to know if anyone has used=
 them before.<br><div><br>-- <br><div dir=3D"ltr" class=3D"gmail_signature"=
>/Pierre</div></div></div>

--00000000000058181b05ed5df772--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59232; Package emacs. Full text available.

Message received at 59232 <at> debbugs.gnu.org:


Received: (at 59232) by debbugs.gnu.org; 13 Nov 2022 16:40:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 13 11:40:49 2022
Received: from localhost ([127.0.0.1]:52414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouG2K-0002xV-PR
	for submit <at> debbugs.gnu.org; Sun, 13 Nov 2022 11:40:49 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41668)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ouG2J-0002xI-IQ
 for 59232 <at> debbugs.gnu.org; Sun, 13 Nov 2022 11:40:47 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ouG2E-000726-AC; Sun, 13 Nov 2022 11:40:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=D0EgHVVZQjrl6C9mVq6smEJRjQtB0Er1Afl5l7omdB0=; b=ePzl7vuWTpHK
 ZNUdQkl/EvmHbfLXutn74YY1SBiDfc1KXUfAkdPGPadh7VTTEQdL6bFrIcQDbVhiPLNRWsGzDFq3b
 mvUlsg3hMXeeli+Npldad+wp+6CCXT7FVsB14oO7TUjv7vRXxd1SN/SXmsZmtBep7MaF/fI0uo9ub
 FuHBPBFJYwnOsCEmLY3myJvAMknrR9faElNnbAbZB2j34vgf2n1Fh1sYLINPk8RncO7Stzb9ic2v1
 0j6P/untXUb+nhKJA9Ek+ku0b29/OraL3XOj6IRdvdkVhsAPFLdR+Kbncbjz9fTGC3z6jBtHm/BvY
 e0ImJN4eR2cgSib2QJPVYw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ouG2A-0006hx-D4; Sun, 13 Nov 2022 11:40:42 -0500
Date: Sun, 13 Nov 2022 18:40:47 +0200
Message-Id: <83a64ulsds.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pierre Rouleau <prouleau001@HIDDEN>
In-Reply-To: <CALTqLiYki2w3XCqduJ-2dcoGgp773Cih94556ZaDJwOpJeXPBA@HIDDEN>
 (message from Pierre Rouleau on Sun, 13 Nov 2022 09:51:22 -0500)
Subject: Re: bug#59232: 27.2; vc-annotate on SVN does not process all lines
References: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
 <83bkpbmkcx.fsf@HIDDEN>
 <CALTqLiYki2w3XCqduJ-2dcoGgp773Cih94556ZaDJwOpJeXPBA@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59232
Cc: 59232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pierre Rouleau <prouleau001@HIDDEN>
> Date: Sun, 13 Nov 2022 09:51:22 -0500
> Cc: 59232 <at> debbugs.gnu.org
> 
> On Sun, Nov 13, 2022 at 1:36 AM Eli Zaretskii <eliz@HIDDEN> wrote:
> 
>  Can you suggest a publicly-accessible SVN repository that can be used
>  for reproducing this problem and testing possible solutions?  It is
>  hard to find repositories that fit your conditions these days.
> 
> As you probably guessed, the repo I'm using is a corporate one and the environment I'm using is an old
> version of Linux *because* of the corporate product requirement.  One way would be to just create a dummy
> repo with subversion and commit a large file inside it.  Aside from the current corporate settings, I had never
> used Subversion.  Do you know where I could push a test depot on a public repo site?

No, I don't.  I hoped you could know of an already existing
repository.  To reproduce the problem, one doesn't need to commit
anything, one just needs to use an existing repository in a read-only
fashion.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59232; Package emacs. Full text available.

Message received at 59232 <at> debbugs.gnu.org:


Received: (at 59232) by debbugs.gnu.org; 13 Nov 2022 16:10:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 13 11:10:44 2022
Received: from localhost ([127.0.0.1]:52387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouFZE-0002D9-8U
	for submit <at> debbugs.gnu.org; Sun, 13 Nov 2022 11:10:44 -0500
Received: from mail-out.m-online.net ([212.18.0.9]:56904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1ouFZC-0002D0-EL
 for 59232 <at> debbugs.gnu.org; Sun, 13 Nov 2022 11:10:43 -0500
Received: from frontend03.mail.m-online.net (unknown [192.168.6.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4N9HV91pfsz1r0P9;
 Sun, 13 Nov 2022 17:10:40 +0100 (CET)
Received: from localhost (dynscan3.mnet-online.de [192.168.6.84])
 by mail.m-online.net (Postfix) with ESMTP id 4N9HV86NZjz1qqlR;
 Sun, 13 Nov 2022 17:10:40 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan3.mail.m-online.net [192.168.6.84]) (amavisd-new,
 port 10024)
 with ESMTP id 6HWFVzSQfUxS; Sun, 13 Nov 2022 17:10:40 +0100 (CET)
X-Auth-Info: bzer+NjnbwjqeJ+Bx9zcBHmM37877UkC91Ps4exArlbO1Uxv7OFQwv7nK6P42sbb
Received: from igel.home (aftr-82-135-86-36.dynamic.mnet-online.de
 [82.135.86.36])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sun, 13 Nov 2022 17:10:40 +0100 (CET)
Received: by igel.home (Postfix, from userid 1000)
 id 0EB502C3588; Sun, 13 Nov 2022 17:10:40 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Pierre Rouleau <prouleau001@HIDDEN>
Subject: Re: bug#59232: 27.2; vc-annotate on SVN does not process all lines
References: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
 <83bkpbmkcx.fsf@HIDDEN>
 <CALTqLiYki2w3XCqduJ-2dcoGgp773Cih94556ZaDJwOpJeXPBA@HIDDEN>
 <CALTqLia65AqmMty-RdaADZhoKnqaDW9q9rQtX=6NOjcXL=ZmKA@HIDDEN>
X-Yow: I Know A Joke
Date: Sun, 13 Nov 2022 17:10:40 +0100
In-Reply-To: <CALTqLia65AqmMty-RdaADZhoKnqaDW9q9rQtX=6NOjcXL=ZmKA@HIDDEN>
 (Pierre Rouleau's message of "Sun, 13 Nov 2022 10:11:23 -0500")
Message-ID: <87pmdqzvgf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 59232
Cc: Eli Zaretskii <eliz@HIDDEN>, 59232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Nov 13 2022, Pierre Rouleau wrote:

> So it does seem to be specific to the SVN backend.

It may be specific to the access method.  Does this also happen if the
SVN server is accessed locally?

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59232; Package emacs. Full text available.

Message received at 59232 <at> debbugs.gnu.org:


Received: (at 59232) by debbugs.gnu.org; 13 Nov 2022 15:11:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 13 10:11:47 2022
Received: from localhost ([127.0.0.1]:52336 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouEeB-0000l1-Lx
	for submit <at> debbugs.gnu.org; Sun, 13 Nov 2022 10:11:47 -0500
Received: from mail-lj1-f176.google.com ([209.85.208.176]:37594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <prouleau001@HIDDEN>) id 1ouEe5-0000kh-B9
 for 59232 <at> debbugs.gnu.org; Sun, 13 Nov 2022 10:11:46 -0500
Received: by mail-lj1-f176.google.com with SMTP id z24so9980664ljn.4
 for <59232 <at> debbugs.gnu.org>; Sun, 13 Nov 2022 07:11:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=RAZG042T4EaAYhR915X3ECu2B9kaXsVJx9UVNL/t/lg=;
 b=nAGfKQPIrvM28M2OSvTQYXjYrqAdTgO5OTVXu7JPZlrkWk2HZQ9iqu+xbt3yyAxuoi
 x8Ms/dP9EQk0SpoQkKUymGj/1cHpl6sWGPQA3HRAQpMniHa1bsEX1xbXH8wPSubml7JY
 N/KoSBFzTk1PZr1exLoU8ie/bKT0Zd1MUeuoOKIcCkQCKmHDfJFQF4PSr+1CmByWLKGT
 fozuLJu1cSZQ0HnqTjpmdEyFWad5WC91sBxtbTE++e6MRfbrYJRvhKk7FzMtsa9z594l
 BC/pHX3clJRQ635p3AHiJVy/Uit+d4HPuIZ04Aktkl77G8Gk0Z2aOk57d6V8XSYgPb7D
 5rjQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=RAZG042T4EaAYhR915X3ECu2B9kaXsVJx9UVNL/t/lg=;
 b=yoeyBEbk68MrQrKb10epAQhafb1bd6Ld15eo6ljQLS3xjWIAG7bHHjhVQgF8viEZcC
 JG72i1YZGazQUQScn4e6Yy9naA0mjvLFkvBO9SghhFXMA+3D3TfI2dxRwxCSLf31oDqq
 uJA8CVpYWnB2FTQpfyrYhgBYs6pfoKPva4xnviqNkjDGFStOePXEaK+fZXPsW2BRTEYk
 6XX1vf3z7uDL2gc7/ZDW5S+mkvqUxIS2cWNYanDsbeEs2fajulHb09lgLOu2JuZGbp47
 ROFjZ2cOU60yrWdVKWsk+NDVMTlU54huR5gtJIyIAfl4006b1AnsBFSlQ2+yPpioMPh4
 fZPA==
X-Gm-Message-State: ANoB5pkmK7FDykn+MnuPS5X/L9w29iv7jdiCyc6BmOtAPjAyoAM5ot6q
 RADcp7XYr2v/L0gKKHiZN/qByc6sAcRqDMEESRs=
X-Google-Smtp-Source: AA0mqf7Pssa8zQ3ikdh2AELPwcjGVPonwoccWS+9ju+aFW2HKfsR/ju73st1VJyO6Z/MSQNrUuOEgVw0dhFLIj8/YJg=
X-Received: by 2002:a05:651c:17a3:b0:278:e939:4eca with SMTP id
 bn35-20020a05651c17a300b00278e9394ecamr2888174ljb.95.1668352295352; Sun, 13
 Nov 2022 07:11:35 -0800 (PST)
MIME-Version: 1.0
References: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
 <83bkpbmkcx.fsf@HIDDEN>
 <CALTqLiYki2w3XCqduJ-2dcoGgp773Cih94556ZaDJwOpJeXPBA@HIDDEN>
In-Reply-To: <CALTqLiYki2w3XCqduJ-2dcoGgp773Cih94556ZaDJwOpJeXPBA@HIDDEN>
From: Pierre Rouleau <prouleau001@HIDDEN>
Date: Sun, 13 Nov 2022 10:11:23 -0500
Message-ID: <CALTqLia65AqmMty-RdaADZhoKnqaDW9q9rQtX=6NOjcXL=ZmKA@HIDDEN>
Subject: Re: bug#59232: 27.2; vc-annotate on SVN does not process all lines
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000ecbcab05ed5b89f0"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 59232
Cc: 59232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000ecbcab05ed5b89f0
Content-Type: text/plain; charset="UTF-8"

I just did another test with a different vc backend: the Mercurial
backend.
I created a local Mercurial repo and submitted a file that is not
completely rendered by vc-annotate with the SVN backend.
I modified the Mercurial hosted file, committing my changes in the
Mercurial repo.  Then I used vc-annotate on that Mercurial hosted file and
every line was annotated as it should be.

So it does seem to be specific to the SVN backend.


-- 
/Pierre

--000000000000ecbcab05ed5b89f0
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>I just did another test with a different vc backend: =
the Mercurial backend.=C2=A0 <br></div><div>I created a local Mercurial rep=
o and submitted a file that is not completely rendered by vc-annotate with =
the SVN backend.</div><div>I modified the Mercurial hosted file, committing=
 my changes in the Mercurial repo.=C2=A0 Then I used vc-annotate on that Me=
rcurial hosted file and every line was annotated as it should be.</div><div=
><br></div><div>So it does seem to be specific to the SVN backend.<br></div=
><br clear=3D"all"><br>-- <br><div dir=3D"ltr" class=3D"gmail_signature">/P=
ierre</div></div>

--000000000000ecbcab05ed5b89f0--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59232; Package emacs. Full text available.

Message received at 59232 <at> debbugs.gnu.org:


Received: (at 59232) by debbugs.gnu.org; 13 Nov 2022 14:59:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 13 09:59:34 2022
Received: from localhost ([127.0.0.1]:52326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouESL-0000Rn-V7
	for submit <at> debbugs.gnu.org; Sun, 13 Nov 2022 09:59:34 -0500
Received: from mail-lj1-f169.google.com ([209.85.208.169]:45578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <prouleau001@HIDDEN>) id 1ouESH-0000RV-Ne
 for 59232 <at> debbugs.gnu.org; Sun, 13 Nov 2022 09:59:32 -0500
Received: by mail-lj1-f169.google.com with SMTP id d20so9919195ljc.12
 for <59232 <at> debbugs.gnu.org>; Sun, 13 Nov 2022 06:59:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=LDd0Q1kJaUMKQWYxIRYPJq+bE7/1ShVzW76AkeBN/KE=;
 b=T1hEUItLVOEIEgxCiGt1oGsiTd76hHhc1GVK/L9emszkeM1ivXz/EWubJ0T4sz2GTf
 59jb+RFvJ+Hvovg83J1saXZuMyhUw4DFpPnjJ5eKaCcDfoKAf8QoaEbfMa1R5zffQ1vp
 28a44H8Ul/flTUXY5vORSyNQtcYZplBy4rZmiOXxkwW4qiJ/6IGN51qoqAH+XTiChoL9
 RIxHmZLSvEBDOzgmoNzovvwVAY1iS9HqUrEs18pm5P7BSwATsfZV3xb9zUSxIrcBNEv4
 Aqj0XwLX+f+2qm3mzLMxS6Mq5MncjqouApcAzePwSh+I0ZObFuHG1FH3gT57cT2beXa1
 jOdw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=LDd0Q1kJaUMKQWYxIRYPJq+bE7/1ShVzW76AkeBN/KE=;
 b=S/do3c7nvxEdHlI87rtVHBhGNV4XigHVAjWgXMJK5drAFUEcb3zkkzgzNVeTriXzYg
 KdjREJ0WC75IzSWwu/Ev3atXUe2mrYgsLArexv6uBscwmuJsRGfWcJcRkc75wWxkQm3f
 mpZNdhl32zOkW2K9WrhguCUvyhmAyTeg2PtW9JdxbDsP8Eq4ls1OHQYbI/Xl84VRiNAN
 lyVZiAq4saYQKN7oa48nrgBR2LT5iYRbe0apf8x7V/9byvjpF1EeIq8XLulBmD0t4PPF
 +OktrW0N4GKoid1EFZOWuCPf0zfvldMbpX+EMA6/hyv5cfpIN+TjQTwY6tHRbq8M4UfM
 nOug==
X-Gm-Message-State: ANoB5pl3fuc/RSZpDotsh0CSPhaT5avsIwmWBFylAM2mgc/nKKOWBWDD
 9/lMfMD4vaMJURwAC74BCVxjn8OaTbi7igEZhJs=
X-Google-Smtp-Source: AA0mqf46AJYOMG9e4Ru7bzs3VCadXZtGaqjtu/Q3v0hFSO49aEVQHbZkUoU/6TyyS9hbDNWrzJFuZMeSNG2Q3q6ElTc=
X-Received: by 2002:a05:651c:87:b0:26f:be8e:5298 with SMTP id
 7-20020a05651c008700b0026fbe8e5298mr2796667ljq.418.1668351563760; Sun, 13 Nov
 2022 06:59:23 -0800 (PST)
MIME-Version: 1.0
References: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
 <eafcebaa-2311-8c89-e9db-45d35bac19e9@HIDDEN>
In-Reply-To: <eafcebaa-2311-8c89-e9db-45d35bac19e9@HIDDEN>
From: Pierre Rouleau <prouleau001@HIDDEN>
Date: Sun, 13 Nov 2022 09:59:12 -0500
Message-ID: <CALTqLiZkKLXV==rQDJB0s56fVAYY4Le4+NVMH5Rt7cR=aPpvPg@HIDDEN>
Subject: Re: bug#59232: 27.2; vc-annotate on SVN does not process all lines
To: Dmitry Gutov <dgutov@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000518a7f05ed5b5e5e"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 59232
Cc: 59232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000518a7f05ed5b5e5e
Content-Type: text/plain; charset="UTF-8"

On Sat, Nov 12, 2022 at 9:30 PM Dmitry Gutov <dgutov@HIDDEN> wrote:

> It would also be great if you could first re-test with a more recent
> version of Emacs. For instance, 28.1 which was released this year.
>
Agreed.  Unfortunately the environment I'm in is a corporate one.  I'll
have to build the latest Emacs inside that old version of Linux (Ubuntu
16.04).  And that's inside a VM.  I can try that but that will take some
time (due to some outside constraints).

I'll see what I can do to try in other ways.

-- 
/Pierre

--000000000000518a7f05ed5b5e5e
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail=
_attr">On Sat, Nov 12, 2022 at 9:30 PM Dmitry Gutov &lt;<a href=3D"mailto:d=
gutov@HIDDEN">dgutov@HIDDEN</a>&gt; wrote:<br></div><blockquote class=
=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rg=
b(204,204,204);padding-left:1ex">It would also be great if you could first =
re-test with a more recent <br>
version of Emacs. For instance, 28.1 which was released this year.<br>
</blockquote></div><div>Agreed.=C2=A0 Unfortunately the environment I&#39;m=
 in is a corporate one.=C2=A0 I&#39;ll have to build the latest Emacs insid=
e that old version of Linux (Ubuntu 16.04).=C2=A0 And that&#39;s inside a V=
M.=C2=A0 I can try that but that will take some time (due to some outside c=
onstraints).=C2=A0 <br></div><div><br></div><div>I&#39;ll see what I can do=
 to try in other ways.<br></div><div><br>-- <br><div dir=3D"ltr" class=3D"g=
mail_signature">/Pierre</div></div></div>

--000000000000518a7f05ed5b5e5e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59232; Package emacs. Full text available.

Message received at 59232 <at> debbugs.gnu.org:


Received: (at 59232) by debbugs.gnu.org; 13 Nov 2022 14:55:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 13 09:55:32 2022
Received: from localhost ([127.0.0.1]:50953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouEOS-0008Ss-81
	for submit <at> debbugs.gnu.org; Sun, 13 Nov 2022 09:55:32 -0500
Received: from mail-lf1-f52.google.com ([209.85.167.52]:40836)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <prouleau001@HIDDEN>) id 1ouEON-0008Ow-3V
 for 59232 <at> debbugs.gnu.org; Sun, 13 Nov 2022 09:55:30 -0500
Received: by mail-lf1-f52.google.com with SMTP id c1so15408790lfi.7
 for <59232 <at> debbugs.gnu.org>; Sun, 13 Nov 2022 06:55:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=Q+3EQvT2oQVwvUqqQXuIUTixBiPsdHrK3tqZch6b/kw=;
 b=OVxDiJHEr1+vNEXnNI3cS8wup2VyuZvlDvKQuIg9zVgywSqzQQr2sFeZTlRvBDNeDq
 wySvJxhDyP3icfeG3dmxVVwDU3C+1ydOzg0pOVYdbuQtjCyYB7ry3p7o13SoHD8yZJCz
 U2TXDpYtQIrxEggThGYlxaGCHX/KxRjRLWkhY4fjGXpnDJXCBkbG3UG2Af5QM7BeNWZh
 CeXmQuw9ForjGHX7c/FoKklHjpW7Jsp5A1GWrD+DyPhMBGgmoHyyUW7lCShvTBhLQzKJ
 3MPG2qUo+9TBsUObQXBSNDJ5K59A7Za85+rqpwtLpvZzM4p67TbX+v1TbDoxyOLZThQL
 lwaw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=Q+3EQvT2oQVwvUqqQXuIUTixBiPsdHrK3tqZch6b/kw=;
 b=UlUG13KovF9WGRKU7BCxS7sUK2QSdmTb76jd/e7op55nq/fco50Pc8+hJeVyQg6/jY
 I/22l/DSG10O72KFl4ntfY0wjcUCuZF/OWSjCFp5PjeXnm8Ow6hM1CdYIn6mCzd7BBIO
 0vy69kUQf9z5zMZRnnAl5ag7fH396Qp71Vusacl3Z1YAya9aEoe5M2zU8DWdp+Y8yg04
 xvnOQ69QAhPcEaJDsJmCKdWui5F5fp1q0UFli/W35XC/chuxZFXOdMukOuaunbvy59oJ
 eFYRSg1/yXNOG/4tsEkwhRxRUaNAZmS2PwFO8KbFfXQnijRV0yYX7/a1jyfPstzg1pgj
 l6fQ==
X-Gm-Message-State: ANoB5pnH5EHgzAWf17O5a4K9WYZopKhxRIaV2QNTlzzEJ2ae18TEF5od
 XPVYFURww6bfnuVq8XhD1moYtQ7z8JIR0FyClhLQFk9b
X-Google-Smtp-Source: AA0mqf5mWt+U3sAvcb+L0WJbFxOn/ndloAgYLs0C4cdPLbHb+WjtxiurjNWc8S111jH3OeoOYMs558+MOXJG5t/mJew=
X-Received: by 2002:a19:8c54:0:b0:494:70b2:26bb with SMTP id
 i20-20020a198c54000000b0049470b226bbmr2935533lfj.26.1668351321324; Sun, 13
 Nov 2022 06:55:21 -0800 (PST)
MIME-Version: 1.0
References: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
 <87zgcvuvbt.fsf@HIDDEN>
In-Reply-To: <87zgcvuvbt.fsf@HIDDEN>
From: Pierre Rouleau <prouleau001@HIDDEN>
Date: Sun, 13 Nov 2022 09:55:09 -0500
Message-ID: <CALTqLiaf6rm8EWdrQBsOnxeEDhQ17fM245Fcg0nEdJMek8-s8Q@HIDDEN>
Subject: Re: bug#59232: 27.2; vc-annotate on SVN does not process all lines
To: Andreas Schwab <schwab@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000de461405ed5b4f74"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 59232
Cc: 59232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000de461405ed5b4f74
Content-Type: text/plain; charset="UTF-8"

On Sun, Nov 13, 2022 at 3:12 AM Andreas Schwab <schwab@HIDDEN>
wrote:

>
> > If the file is small, all lines are annotated by vc-annotate.
> > But when the file is large (over about 64KiB) then the end of the files
> > are never annotated.
>
> What does "never annotated" mean?  How does is look like instead?
>

If the file stored in the repo has 3000 lines and you issue a svn blame on
that file on the command line, the output is 3000 lines.
Inside Emacs if you run (vc-annotate) on that file it would normally create
a buffer with 3000 lines inside it all of them being colored.  What I see
is for that 3000 line file the buffer contains something like 1000 lines
only: the first 1000 lines of the 3000 lines I was expecting to see.  And
those 1000 lines are all colored properly.  I just don't see any
information about the remaining 2000 lines.


-- 
/Pierre

--000000000000de461405ed5b4f74
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><br></div><br><div class=3D"gmail_quote">=
<div dir=3D"ltr" class=3D"gmail_attr">On Sun, Nov 13, 2022 at 3:12 AM Andre=
as Schwab &lt;<a href=3D"mailto:schwab@HIDDEN">schwab@HIDDEN=
g</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin=
:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"=
>
<br>
&gt; If the file is small, all lines are annotated by vc-annotate.<br>
&gt; But when the file is large (over about 64KiB) then the end of the file=
s<br>
&gt; are never annotated.<br>
<br>
What does &quot;never annotated&quot; mean?=C2=A0 How does is look like ins=
tead?<br></blockquote><div><br></div><div>If the file stored in the repo ha=
s 3000 lines and you issue a svn blame on that file on the command line, th=
e output is 3000 lines.</div><div>Inside Emacs if you run (vc-annotate) on =
that file it would normally create a buffer with 3000 lines inside it all o=
f them being colored.=C2=A0 What I see is for that 3000 line file the buffe=
r contains something like 1000 lines only: the first 1000 lines of the 3000=
 lines I was expecting to see.=C2=A0 And those 1000 lines are all colored p=
roperly.=C2=A0 I just don&#39;t see any information about the remaining 200=
0 lines. <br></div></div><br clear=3D"all"><br>-- <br><div dir=3D"ltr" clas=
s=3D"gmail_signature">/Pierre</div></div>

--000000000000de461405ed5b4f74--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59232; Package emacs. Full text available.

Message received at 59232 <at> debbugs.gnu.org:


Received: (at 59232) by debbugs.gnu.org; 13 Nov 2022 14:51:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 13 09:51:41 2022
Received: from localhost ([127.0.0.1]:50290 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouEKj-0008Cv-K1
	for submit <at> debbugs.gnu.org; Sun, 13 Nov 2022 09:51:41 -0500
Received: from mail-lf1-f45.google.com ([209.85.167.45]:38605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <prouleau001@HIDDEN>) id 1ouEKh-0008Cg-OK
 for 59232 <at> debbugs.gnu.org; Sun, 13 Nov 2022 09:51:40 -0500
Received: by mail-lf1-f45.google.com with SMTP id g7so15417035lfv.5
 for <59232 <at> debbugs.gnu.org>; Sun, 13 Nov 2022 06:51:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=7xRItB14tD8hB+yZNTZFBWfxfMq8y5ZO9QG+zE3x0b8=;
 b=jIPdqiK1APAaNu6Y1qT265urUvRPpeL4XCe/v32xgNVtkYNB33stJ3V/JDunsfe0Ig
 H5AVbWXRH4LIZxWhdOdNZfWfNLTln0nyiFLtjglsMzn2U8f2JcbHQMyoxOlxvy3yGuF+
 lRcg6+9d35gQqJZ35qcFVHxeFHkS9pepz7m0gnaucQrON6FH4q33i0rIHyW4QCTBTZCt
 paHvvn+nYDNgfyq8+hgMiEFfO7Levtb4MLe94HYcuJRNpjufK1Hd06gH0ANJtDq/rgdA
 NvU9kivnLizgWQQKxqadMd2T1acvz2l8K230K4/06P77rwTnNVhCOvrOUnFQX9A9uAOb
 Vzhg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=7xRItB14tD8hB+yZNTZFBWfxfMq8y5ZO9QG+zE3x0b8=;
 b=pk71b6oqhvcA6br97qCqsJiToRdhikG7mqT6N9VuD/tjwR0SFLF4xSa9JOm5rqHDD8
 BwNDeb9UBtBJxK8bFFQAkO6wB7ShWPC9RVZPDTTiMHjMnkw3ogeP7vo56Y1qQmLsoqWG
 hB/Zbeh0QWrrK+WnLv5+ARwqPgbBcgyDqOUypS7B3XtsZc8z28rORbQib6hf7TFpQeFD
 7NpnBuCOhNoWeghipR7/MwMBVmJ5ntopAku7sdXW4rC7bPdOeoPLjIN7cJQWNbmwt+px
 tXOuBJpdFHiK36n35p3RBOw25FRr9Jvsjzinp44sLVOev2n4LC90mc+q8kKXZNnemBd7
 +dgw==
X-Gm-Message-State: ANoB5pnkVFXHskUCKcIKBCDhzi+5126BZgaPFpHZPAPkAuEydMp5PlFj
 VHd4N6+Dcz3mNeSBdKMz8nFrPVP/T34IEvwSjvduYKDR
X-Google-Smtp-Source: AA0mqf4xBw7NtovGGa/D6GgSJbkS4DJ8GMzk2ltKOz/xLX0rW4sjUVUl9dBvF6KuUPtPFwgKGkNpSBq9VZYvpg9QzH4=
X-Received: by 2002:a05:6512:613:b0:4a4:782a:42ac with SMTP id
 b19-20020a056512061300b004a4782a42acmr2902575lfe.468.1668351093556; Sun, 13
 Nov 2022 06:51:33 -0800 (PST)
MIME-Version: 1.0
References: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
 <83bkpbmkcx.fsf@HIDDEN>
In-Reply-To: <83bkpbmkcx.fsf@HIDDEN>
From: Pierre Rouleau <prouleau001@HIDDEN>
Date: Sun, 13 Nov 2022 09:51:22 -0500
Message-ID: <CALTqLiYki2w3XCqduJ-2dcoGgp773Cih94556ZaDJwOpJeXPBA@HIDDEN>
Subject: Re: bug#59232: 27.2; vc-annotate on SVN does not process all lines
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000004ac90905ed5b42ac"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 59232
Cc: 59232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--0000000000004ac90905ed5b42ac
Content-Type: text/plain; charset="UTF-8"

On Sun, Nov 13, 2022 at 1:36 AM Eli Zaretskii <eliz@HIDDEN> wrote:

> Can you suggest a publicly-accessible SVN repository that can be used
> for reproducing this problem and testing possible solutions?  It is
> hard to find repositories that fit your conditions these days.
>
> As you probably guessed, the repo I'm using is a corporate one and the
environment I'm using is an old version of Linux *because* of the corporate
product requirement.  One way would be to just create a dummy repo with
subversion and commit a large file inside it.  Aside from the current
corporate settings, I had never used Subversion.  Do you know where I could
push a test depot on a public repo site?


-- 
/Pierre

--0000000000004ac90905ed5b42ac
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><br></div><br><div class=3D"gmail_quote">=
<div dir=3D"ltr" class=3D"gmail_attr">On Sun, Nov 13, 2022 at 1:36 AM Eli Z=
aretskii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br=
></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;=
border-left:1px solid rgb(204,204,204);padding-left:1ex">
Can you suggest a publicly-accessible SVN repository that can be used<br>
for reproducing this problem and testing possible solutions?=C2=A0 It is<br=
>
hard to find repositories that fit your conditions these days.<br>
<br></blockquote><div>As you probably guessed, the repo I&#39;m using is a =
corporate one and the environment I&#39;m using is an old version of Linux =
*because* of the corporate product requirement.=C2=A0 One way would be to j=
ust create a dummy repo with subversion and commit a large file inside it.=
=C2=A0 Aside from the current corporate settings, I had never used Subversi=
on.=C2=A0 Do you know where I could push a test depot on a public repo site=
?<br></div></div><br clear=3D"all"><br>-- <br><div dir=3D"ltr" class=3D"gma=
il_signature">/Pierre</div></div>

--0000000000004ac90905ed5b42ac--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59232; Package emacs. Full text available.

Message received at 59232 <at> debbugs.gnu.org:


Received: (at 59232) by debbugs.gnu.org; 13 Nov 2022 14:42:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 13 09:42:56 2022
Received: from localhost ([127.0.0.1]:50274 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ouECG-0007wU-3F
	for submit <at> debbugs.gnu.org; Sun, 13 Nov 2022 09:42:56 -0500
Received: from mail-lj1-f172.google.com ([209.85.208.172]:36566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <prouleau001@HIDDEN>) id 1ouECB-0007wF-Vy
 for 59232 <at> debbugs.gnu.org; Sun, 13 Nov 2022 09:42:55 -0500
Received: by mail-lj1-f172.google.com with SMTP id u2so9924683ljl.3
 for <59232 <at> debbugs.gnu.org>; Sun, 13 Nov 2022 06:42:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=lzMnc9CAssuUU/USdbEM7Mwl8ymSWhg1knzFe53Rz1s=;
 b=bU2yBEeMdSlW91l8cffPChShphDvFr0ph7c0wUN0HO2sX4ks88xMwmI7uOQwehQRq1
 Tqe3A6PnxG2kgqQoSEPjXvm4ymqY6vLW+6FcURhTQyv8yg4oSpir6Ph+rUglMaWM9r/U
 0qBQGtA5rkkli/RiNYtHAaDyHNYvFGdazT175w58YL9CQKLWrub4ec1SGERFbyvdXMPS
 ziZZ45GUDsUBJtNSL7CEZEvyyonNNdCPkvfZ6WGNXVh3kp/mQlKnjjYW5Nz8fNJDoSks
 71EqxOZtbZqZKWnKgj+dVyuIoaTp5GAEc15PHHxEEz6x0eJ4srVX2EpCFCgTk0g0b7HA
 rRew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=lzMnc9CAssuUU/USdbEM7Mwl8ymSWhg1knzFe53Rz1s=;
 b=uVHHfShu6C1hwwbV3NpVlpnChD9NdtxUzVHBexlOLCZSvZIO7msZ+m6SCKe+yP5fEQ
 hpoaYdaWD89UXDU0e4anUpJ5D+0SuyVaGo8l2mb1LYU4ulPDZ7VgNgV2qFqWEv3FRCsD
 nTCq8Mez4tBWRjYHk1552/NqhZ4AI+VYVSXZ8JAj/+cuGCSb9/coT4Q3ew1itcvX5jl1
 WEar5nu6whnvnlm/4yZRFL0jgvl62dVDPC7IdP4lgO9965N/35HaYDbXMVQDDsMnAkRo
 3MLWIprOknzWDxdvjYcBxpMPM2li33QS846ltO9v9c4sQM9ibkp23xQWs5vecLsbaY7u
 HVXQ==
X-Gm-Message-State: ANoB5pkh6CCu2zZXpBWSifXw+ArohfKCADVnc9ijdeYg/c/xf3/K+heJ
 F9W7oiufr3TONAO1VAE1IM31jTYfcIjThJlWDoE=
X-Google-Smtp-Source: AA0mqf5eVih1KzrcWyn+tAZ2FGg4+j/jJCPm6Qkiic4MQRRjaBxfInHCGkHskS45lbgLAT/mbK6wUZYcO3nmY8vQy80=
X-Received: by 2002:a05:651c:994:b0:277:af8:a360 with SMTP id
 b20-20020a05651c099400b002770af8a360mr3162598ljq.318.1668350565778; Sun, 13
 Nov 2022 06:42:45 -0800 (PST)
MIME-Version: 1.0
References: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
 <0247c1ee-f819-97cb-fe92-be0572061fb9@HIDDEN>
In-Reply-To: <0247c1ee-f819-97cb-fe92-be0572061fb9@HIDDEN>
From: Pierre Rouleau <prouleau001@HIDDEN>
Date: Sun, 13 Nov 2022 09:42:33 -0500
Message-ID: <CALTqLiaE7Zkvj3q+UAHU_DLz7XqTrQXQKhx8FpeK9DTYSHSaGQ@HIDDEN>
Subject: Re: bug#59232: 27.2; vc-annotate on SVN does not process all lines
To: Dmitry Gutov <dgutov@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000d58c3e05ed5b2293"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 59232
Cc: 59232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000d58c3e05ed5b2293
Content-Type: text/plain; charset="UTF-8"

By not annotated, I mean that the file appears cut off.   All lines visible
in the buffer are colored, including the last line.  But the real file
might have 3000 lines and only 1000 lines are shown in the buffer.

On Sat, Nov 12, 2022 at 9:29 PM Dmitry Gutov <dgutov@HIDDEN> wrote:

> On 13.11.2022 02:14, Pierre Rouleau wrote:
> > If the file is small, all lines are annotated by vc-annotate.
> > But when the file is large (over about 64KiB) then the end of the files
> > are never annotated.
>
> Hi!
>
> When you say they are not annotated, do you mean that the contents of
> the file appear truncated (cut off) in the annotate buffer, or that the
> colors is missing, something like that?
>


-- 
/Pierre

--000000000000d58c3e05ed5b2293
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">By not annotated, I mean that the file appears cut off.=C2=
=A0=C2=A0 All lines visible in the buffer are colored, including the last l=
ine.=C2=A0 But the real file might have 3000 lines and only 1000 lines are =
shown in the buffer.<br></div><br><div class=3D"gmail_quote"><div dir=3D"lt=
r" class=3D"gmail_attr">On Sat, Nov 12, 2022 at 9:29 PM Dmitry Gutov &lt;<a=
 href=3D"mailto:dgutov@HIDDEN">dgutov@HIDDEN</a>&gt; wrote:<br></div>=
<blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-=
left:1px solid rgb(204,204,204);padding-left:1ex">On 13.11.2022 02:14, Pier=
re Rouleau wrote:<br>
&gt; If the file is small, all lines are annotated by vc-annotate.<br>
&gt; But when the file is large (over about 64KiB) then the end of the file=
s<br>
&gt; are never annotated.<br>
<br>
Hi!<br>
<br>
When you say they are not annotated, do you mean that the contents of <br>
the file appear truncated (cut off) in the annotate buffer, or that the <br=
>
colors is missing, something like that?<br>
</blockquote></div><br clear=3D"all"><br>-- <br><div dir=3D"ltr" class=3D"g=
mail_signature">/Pierre</div>

--000000000000d58c3e05ed5b2293--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59232; Package emacs. Full text available.

Message received at 59232 <at> debbugs.gnu.org:


Received: (at 59232) by debbugs.gnu.org; 13 Nov 2022 08:12:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 13 03:12:27 2022
Received: from localhost ([127.0.0.1]:49975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ou86N-00028r-6I
	for submit <at> debbugs.gnu.org; Sun, 13 Nov 2022 03:12:27 -0500
Received: from mail-out.m-online.net ([212.18.0.10]:49147)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1ou86L-00028i-7b
 for 59232 <at> debbugs.gnu.org; Sun, 13 Nov 2022 03:12:26 -0500
Received: from frontend03.mail.m-online.net (unknown [192.168.6.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4N94tH4tjmz1s7tY;
 Sun, 13 Nov 2022 09:12:23 +0100 (CET)
Received: from localhost (dynscan3.mnet-online.de [192.168.6.84])
 by mail.m-online.net (Postfix) with ESMTP id 4N94tH1vQyz1qqlR;
 Sun, 13 Nov 2022 09:12:23 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan3.mail.m-online.net [192.168.6.84]) (amavisd-new,
 port 10024)
 with ESMTP id Hz3QrwZ8efqA; Sun, 13 Nov 2022 09:12:22 +0100 (CET)
X-Auth-Info: 20LiFghmemA4FV2eX5Cb5fZXgPyJ8mOpyqgru615caYs3ynxiLZALbWWyG18Lx+K
Received: from tiger.home (aftr-82-135-86-4.dynamic.mnet-online.de
 [82.135.86.4])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sun, 13 Nov 2022 09:12:22 +0100 (CET)
Received: by tiger.home (Postfix, from userid 1000)
 id 3050B13083F; Sun, 13 Nov 2022 09:12:22 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Pierre Rouleau <prouleau001@HIDDEN>
Subject: Re: bug#59232: 27.2; vc-annotate on SVN does not process all lines
References: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
X-Yow: After THIS, let's go to PHILADELPHIA and have TRIPLETS!!
Date: Sun, 13 Nov 2022 09:12:22 +0100
In-Reply-To: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
 (Pierre Rouleau's message of "Sat, 12 Nov 2022 19:14:59 -0500")
Message-ID: <87zgcvuvbt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 59232
Cc: 59232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Nov 12 2022, Pierre Rouleau wrote:

> If the file is small, all lines are annotated by vc-annotate.
> But when the file is large (over about 64KiB) then the end of the files
> are never annotated.

What does "never annotated" mean?  How does is look like instead?

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59232; Package emacs. Full text available.

Message received at 59232 <at> debbugs.gnu.org:


Received: (at 59232) by debbugs.gnu.org; 13 Nov 2022 06:36:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 13 01:36:32 2022
Received: from localhost ([127.0.0.1]:49909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ou6bY-0005pJ-5v
	for submit <at> debbugs.gnu.org; Sun, 13 Nov 2022 01:36:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41906)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ou6bX-0005p8-04
 for 59232 <at> debbugs.gnu.org; Sun, 13 Nov 2022 01:36:31 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ou6bR-0002ym-I3; Sun, 13 Nov 2022 01:36:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=muQUOCsxPtIBIx36M6PcN2N1BeQPDgZUSF5cPiWSKws=; b=GGS3OcWtTCHN
 R87rTZ+gCTZiUShzavCS0uSsBv7xAlbYdtuFmDDAnyWh+/8aiMgamhpQE6N0ReY1n98azwtiqC6rS
 InhNDLjb7LdslAJg7k/6eDcrBLlHaDWforuqCaYOmvRoaZSHlYLGKVUgypPQoaEIEDuoC2xiGNa+t
 2JaRCgGwGm3q9pEnJcOCt38lsp9m+oFD6QmUA/sWSQAdQggn8BiQbDcX6rKRUizHhS59estpmbtJd
 jfuzzwHw/8YvVbH3h0yKljo4hE1gF1+wOoI3Qe6HE+Ms7SBVZ6b89TwMfvBAAk091Qpr6MfpvVP/P
 158TZzvV3eGhSXoCwhGBnA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ou6bQ-000838-T2; Sun, 13 Nov 2022 01:36:25 -0500
Date: Sun, 13 Nov 2022 08:36:30 +0200
Message-Id: <83bkpbmkcx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pierre Rouleau <prouleau001@HIDDEN>
In-Reply-To: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
 (message from Pierre Rouleau on Sat, 12 Nov 2022 19:14:59 -0500)
Subject: Re: bug#59232: 27.2; vc-annotate on SVN does not process all lines
References: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59232
Cc: 59232 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Pierre Rouleau <prouleau001@HIDDEN>
> Date: Sat, 12 Nov 2022 19:14:59 -0500
> 
> - Start 'Emacs -Q' to visit a 'big' source code file that is revisionned
>   on Subversion 1.6.17 (r11280011).

Can you suggest a publicly-accessible SVN repository that can be used
for reproducing this problem and testing possible solutions?  It is
hard to find repositories that fit your conditions these days.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59232; Package emacs. Full text available.

Message received at 59232 <at> debbugs.gnu.org:


Received: (at 59232) by debbugs.gnu.org; 13 Nov 2022 02:30:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 12 21:30:36 2022
Received: from localhost ([127.0.0.1]:49666 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ou2lX-0005jM-TW
	for submit <at> debbugs.gnu.org; Sat, 12 Nov 2022 21:30:36 -0500
Received: from mail-wr1-f44.google.com ([209.85.221.44]:45685)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1ou2lW-0005j8-SH
 for 59232 <at> debbugs.gnu.org; Sat, 12 Nov 2022 21:30:35 -0500
Received: by mail-wr1-f44.google.com with SMTP id y16so11403630wrt.12
 for <59232 <at> debbugs.gnu.org>; Sat, 12 Nov 2022 18:30:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=g+Oo/j1nisP1kFDrLhf9bKcrDPHIo+8LbJWTG60viyE=;
 b=k13KasnLz5zAJX9VVbN4ne7XnHPB8UM4sFR9fomXFoGLwCDUW0UaMp2scImo/6uYPm
 L/iQRO5qwE7dcjNyVpRMAGDy+C2J6kUuHarK0dO37asGA5OIkLI6+Jwa6rPbIuliYbwA
 WNX3ldqa/cGpqhwZZfC9iCbAJeF9oaMDm3my23G1PF2hMxRy99e5sS7SY3TipkbwJ8Cc
 HfoFWfdTs5rea+ONTMPWT2MvfL3yWqgSO09Fc0ujgv8yuQ/nlpCI0Q9/EJQ17KVu8vLU
 hb09uKKWC4dp00QuK8F/WVcsqtpU4kkZGg4piRTZPi3+USV2gEzqZrQw/YnUc0W3WJL0
 sjsg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=g+Oo/j1nisP1kFDrLhf9bKcrDPHIo+8LbJWTG60viyE=;
 b=TT3wXe2eQB5J2h2mqa/3/WdGC2WHGhipBnpXOy29O0l7obEZPb8WpBxMWzXJUNv9Jv
 IHfbB/6lJUDH1PFYWvTTdnYnxD5VMPX9jt4j3km1z+3YAit5T19bzzt0SS7oPRxyPh1S
 ZuTiHruwmHc2DE2nfEiINtfINJzcyBMw+PT452STyVLZiHDa/3klwyIzpWhaBIQDIrT1
 Lm49JHa9cRcD4dP2OYEHJnM11Eu1520VnvXGAQbhJvDgdRz01EFRnKzmC5FHd84I4me0
 lRM4I5aoxnGf0xXhkTMzne4UsyuEWni0LFT+4S4DWG+3ApBoagDOZi+eevz80ST8wc2t
 lBZA==
X-Gm-Message-State: ANoB5pmIcer2/xyt3smxWyhhmJHA5tX4qmdyrMGaS3ByE9eq9J/vhXbk
 IeNRn+RYdH5O9qeDk12oVGxTKRfSSq4=
X-Google-Smtp-Source: AA0mqf5Jj6fQR/kku4y3WZPe7LuWLFGKhI+7eNPs9qnWeM8WQtKG5U5jsQCEUaRC23absCP9hZEFJw==
X-Received: by 2002:adf:e0c6:0:b0:22e:471b:c616 with SMTP id
 m6-20020adfe0c6000000b0022e471bc616mr4613344wri.51.1668306629278; 
 Sat, 12 Nov 2022 18:30:29 -0800 (PST)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 p13-20020adfe60d000000b00236e9755c02sm5684328wrm.111.2022.11.12.18.30.28
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 12 Nov 2022 18:30:29 -0800 (PST)
Message-ID: <eafcebaa-2311-8c89-e9db-45d35bac19e9@HIDDEN>
Date: Sun, 13 Nov 2022 04:30:27 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.2.2
Subject: Re: bug#59232: 27.2; vc-annotate on SVN does not process all lines
Content-Language: en-US
To: Pierre Rouleau <prouleau001@HIDDEN>, 59232 <at> debbugs.gnu.org
References: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 59232
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

It would also be great if you could first re-test with a more recent 
version of Emacs. For instance, 28.1 which was released this year.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59232; Package emacs. Full text available.

Message received at 59232 <at> debbugs.gnu.org:


Received: (at 59232) by debbugs.gnu.org; 13 Nov 2022 02:29:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 12 21:29:25 2022
Received: from localhost ([127.0.0.1]:49662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ou2kP-0005g0-HU
	for submit <at> debbugs.gnu.org; Sat, 12 Nov 2022 21:29:25 -0500
Received: from mail-wr1-f54.google.com ([209.85.221.54]:40615)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1ou2kL-0005fk-HC
 for 59232 <at> debbugs.gnu.org; Sat, 12 Nov 2022 21:29:23 -0500
Received: by mail-wr1-f54.google.com with SMTP id z14so11411156wrn.7
 for <59232 <at> debbugs.gnu.org>; Sat, 12 Nov 2022 18:29:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:from:to:cc:subject:date:message-id:reply-to;
 bh=yOA2R/7S/HyECKaLT7JaFKybhxr86W2nF8pPDO4EwJY=;
 b=M3HLT/VJUtmQOH+AUycuuxy9KYN66z5IrvDEq1lN97JJqiUI/XmsYpIUqotmzOYGfw
 Zg0s4wUZNJE5mt09bwX3p88RwlbslQ7SPUa0r5B7o9Bl7RxG/EwkH0mpJ/OCj6JJD9Wd
 sMnxFfbPBvamY5L/bl+d1bQZNnweLnNUuyS3LsYTxGzSyp+RwgWuAhhnf0EL3Yn05WVb
 Fsr3/khEY9BQrJKfDETpW58QH4oEED2ne/eGHsTeNUPhqotylun1tNubb8h+BxeXBfEK
 lvclssbWyegKwv0TpPqYCAMJm49yQtaOke5B+v5neyYmutJ0X6uQpOjj8TY3+aToQ5ry
 I+Pw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:in-reply-to:from:references:to
 :content-language:subject:user-agent:mime-version:date:message-id
 :sender:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=yOA2R/7S/HyECKaLT7JaFKybhxr86W2nF8pPDO4EwJY=;
 b=GxxS0hA4sO25sZ84f422nTPY24FSPU6X1PUzSFGLn9DJ46ab3bR7MQ09QGqZsOW10V
 0YoXA8Tmd072wyKWRElowAd5wAJx2d/pd8Njhvtdvq6OdxzNPSTvzzNY5sfs+ED7EwRU
 ajwuMAZ7EWPpXhFZ1TvWFknGzi35oTszohMlOoxSU8PW7SQwW8lo5ZiQbYEw20x58aMH
 80RrA9VRCjowQUpBLCb7CmWXQDYY5JSkLxur1OGdk0lpLFtD+RA0TgjCFnOOpXfaXdm2
 RvvBhuHr2oh+ilwsz7zeQuByTuwKLes6Q3BZzG0FYphiJrWMwhbIp8DjBEA2oqHGnJi8
 JSGA==
X-Gm-Message-State: ANoB5pkfjq2vPt4u4WgnH6+3mRwrm4JDPiIU3H/tu6a2ywGAv/Bp2ycl
 CyoKh6qOpB86j4dpNc/kwXE=
X-Google-Smtp-Source: AA0mqf58kMnTpJ84u1oj4a4eEVVX++t9KXdkSjj1WogvLOpUGd9CXFgKQo4wUnVJYwnhBfqKyHYVNA==
X-Received: by 2002:a05:6000:1817:b0:236:53d2:a2dd with SMTP id
 m23-20020a056000181700b0023653d2a2ddmr4492855wrh.382.1668306554178; 
 Sat, 12 Nov 2022 18:29:14 -0800 (PST)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 bx32-20020a5d5b20000000b0023bb7e4b8b1sm5754921wrb.82.2022.11.12.18.29.13
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 12 Nov 2022 18:29:13 -0800 (PST)
Message-ID: <0247c1ee-f819-97cb-fe92-be0572061fb9@HIDDEN>
Date: Sun, 13 Nov 2022 04:29:11 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.2.2
Subject: Re: bug#59232: 27.2; vc-annotate on SVN does not process all lines
Content-Language: en-US
To: Pierre Rouleau <prouleau001@HIDDEN>, 59232 <at> debbugs.gnu.org
References: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 59232
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 13.11.2022 02:14, Pierre Rouleau wrote:
> If the file is small, all lines are annotated by vc-annotate.
> But when the file is large (over about 64KiB) then the end of the files
> are never annotated.

Hi!

When you say they are not annotated, do you mean that the contents of 
the file appear truncated (cut off) in the annotate buffer, or that the 
colors is missing, something like that?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59232; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Nov 2022 00:15:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 12 19:15:25 2022
Received: from localhost ([127.0.0.1]:49567 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ou0ei-0002QW-AF
	for submit <at> debbugs.gnu.org; Sat, 12 Nov 2022 19:15:25 -0500
Received: from lists.gnu.org ([209.51.188.17]:53408)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <prouleau001@HIDDEN>) id 1ou0eg-0002QO-3p
 for submit <at> debbugs.gnu.org; Sat, 12 Nov 2022 19:15:23 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <prouleau001@HIDDEN>)
 id 1ou0ef-0000Mg-Mr
 for bug-gnu-emacs@HIDDEN; Sat, 12 Nov 2022 19:15:21 -0500
Received: from mail-lf1-x133.google.com ([2a00:1450:4864:20::133])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <prouleau001@HIDDEN>)
 id 1ou0eY-0001xy-Jf
 for bug-gnu-emacs@HIDDEN; Sat, 12 Nov 2022 19:15:21 -0500
Received: by mail-lf1-x133.google.com with SMTP id a29so13712710lfj.9
 for <bug-gnu-emacs@HIDDEN>; Sat, 12 Nov 2022 16:15:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=JVQou4nfiTDmd/XGAewfpYPSb0D0NSpW1/77MNrHsII=;
 b=nXEJY+NYklDcYHzLlzv+Cq+x+w5wC+OJ8NAkQB+Gi4SSii+PJrJmMOWPqi2313OTpC
 53rpkJDyzR1lk0ylU3uunfwqXdKVyr2QUw/6IuuTth3XP+YpEbpY469HuSfatKn+WKLk
 vTi2UsLX8Fbri88B/u59q9AKoh47Wt+xMYiQt7Z6BxoAMP6aRIecCxrtME79fVD1wi/W
 GY4SWw4qzcT8CAAMMD0z1o/fY+NIJ47sm1s/JJ3Jrd5N6gbQ0/HUavZCWGzrr6VbQrtu
 tIOj+rW097umJ+BOH5uzpICSABhCnRKF3dYhjhvNXLAtJu+GuYhAF7WbxPM/bnuxbaFs
 4lAQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=JVQou4nfiTDmd/XGAewfpYPSb0D0NSpW1/77MNrHsII=;
 b=BiTdpDAkbeqJ7kPBi33KuX3vBkJoHlMd9tnkCk7NId7jdbcrb/upym8DFWHbXoVO7a
 RLQ9CNtRnEj1zMuXZ1LX9T/3swpeOn0rWd337LHFW2oxNWalN9Gft6go1ZLFQdBqiWjR
 qvU1SF4oH7S1pjt/ys4Z2ATMK4IjxiQVb8bnwetHnw1RmBFV2RELbN3o1FY0FLENfct1
 1zDFPvkc2dIapDg44KBT88VyWOW3XGmkyQd2Ww4fshBkJGn/nO9upL6bfpbYpix1m/Jc
 wGg0Zw8+VaWuYV5SatWT7VLMYDTcQQtzp5pe43uhoKcqfcjhNww5ZvaQ3VoinmW6B0if
 HDiQ==
X-Gm-Message-State: ANoB5pmkMKDQ0M9IlHzI6/cyPzYutLFLWTs3PBu2ml7IOBW9tMLHt/Bd
 5K73jZwk6jSB44Rhrkjd31O2b5tqDJ1f1LtnHBG2s8gNjy0=
X-Google-Smtp-Source: AA0mqf4glRDJjXGEYermJHbA5UjyHaogPTNktKJDkXJXZuj4dJp4HGKNjeZln2GP0Hoz7RwvPvySfdw8bK3/M6AjjLQ=
X-Received: by 2002:a05:6512:2144:b0:499:fc24:244c with SMTP id
 s4-20020a056512214400b00499fc24244cmr2428602lfr.25.1668298511197; Sat, 12 Nov
 2022 16:15:11 -0800 (PST)
MIME-Version: 1.0
From: Pierre Rouleau <prouleau001@HIDDEN>
Date: Sat, 12 Nov 2022 19:14:59 -0500
Message-ID: <CALTqLia7-UukQXME9KQzfMXKxzB_ya+9tESaruVaRKzoP6zsJA@HIDDEN>
Subject: 27.2; vc-annotate on SVN does not process all lines
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="00000000000023aa8505ed4f0417"
Received-SPF: pass client-ip=2a00:1450:4864:20::133;
 envelope-from=prouleau001@HIDDEN; helo=mail-lf1-x133.google.com
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--00000000000023aa8505ed4f0417
Content-Type: text/plain; charset="UTF-8"

- Start 'Emacs -Q' to visit a 'big' source code file that is revisionned
  on Subversion 1.6.17 (r11280011).
- Use 'C-x v g' to run vc-annotate to annotate the file.
- When the file size is over a (around) limit of 64KiB, only the lines
  corresponding to about 64KiB characters are annotated as they should.
  The lines after that limit are not annotated.  The command does not
  fail and does not report any problem.  It's just that it does not
  annotate the complete set of lines.

If I try 'svn blame' on that file inside a bash shell running in the
Linux terminal, all lines are annotated.  If I start a shell inside
Emacs (with M-x shell) and I run the 'svn blame' command inside that
shell, then all lines are annotated.

If the file is small, all lines are annotated by vc-annotate.
But when the file is large (over about 64KiB) then the end of the files
are never annotated.

This happens on Subversion.
No crash.
-----------------------------------------------

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    'bt full' and 'xbacktrace'.
For information about debugging Emacs, please read the file
/usr/local/share/emacs/27.2/etc/DEBUG.

In GNU Emacs 27.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2022-02-07 built on roup-ubuntu16-4
System Description: Ubuntu 16.04.7 LTS

Recent messages:
Marking matching files...
0 matching files marked
Hid 0 dotfiles.
Marking matching files...
1 matching file marked
Hid 1 dotfile.
Annotating...
Redisplaying annotation...done (Spanned from 14865.2 to 4045.3 days old)
Annotating... done
Mark set

Configured features:
XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY GNUTLS
FREETYPE HARFBUZZ XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES
THREADS PDUMPER GMP

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: C++//la

Minor modes in effect:
  smart-dash-c-mode: t
  smart-dash-mode: t
  ggtags-mode: t
  display-time-mode: t
  ido-everywhere: t
  winner-mode: t
  key-chord-mode: t
  global-anzu-mode: t
  anzu-mode: t
  flyspell-mode: t
  superword-mode: t
  show-paren-mode: t
  recentf-mode: t
  which-key-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
/home/rouleaup/.emacs.d/utils/sr-speedbar hides
/home/rouleaup/.emacs.d/elpa/sr-speedbar-20161025.831/sr-speedbar
/home/rouleaup/.emacs.d/elpa/lispy-20220203.1437/elpa hides
/home/rouleaup/.emacs.d/elpa/ivy-20211231.1730/elpa

Features:
(shadow sort mail-extr emacsbug message rmc puny format-spec rfc822 mml
mml-sec epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils smex windmove vc-annotate
pel-vc vc-dir vc vc-dispatcher vc-svn emacros pel-skels-cpp pel-skels-c
pel-list pel-uuid pel-cc pel-cc-find pel-ini pel-ffind-inpath pel-ffind
pel-file smart-dash ggtags ewoc cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs ace-link time
ido-completing-read+ memoize cus-edit minibuf-eldef pel-skels-generic
counsel xdg compile comint ansi-color swiper cl-extra ivy flx ivy-faces
ivy-overlay colir color ido-grid ido pel-completion pel-ido pel-seq
indent-tools yafolding s indent-tools-indentation-of winner pel-xref
pel-text-transform pel-read pel-navigate pel-scroll key-seq
pel-key-chord key-chord anzu dired-aux dired-hide-dotfiles dired-x dired
dired-loaddefs term/xterm xterm tempo pel-skels-elisp pel-text-insert
pel-syntax pel--syntax-macros pel-window pel-tempo pel-skels lispy pcase
delsel lispy-inline thingatpt avy noutline outline easy-mmode etags
fileloop generator xref project edebug backtrace help-fns radix-tree
help-mode lispy-tags mode-local advice find-func pel__hydra hydra ring
lv pel-lispy pel-spell-iedit flyspell ispell pel-spell pel-prompt
cap-words superword subword imenu+ pel-imenu imenu paren pel_keys vc-p4
p4-lowlevel recentf tree-widget wid-edit two-column speedbar sb-image
ezimage dframe ls-lisp delight pel-autoload pel--keys-macros
pel--options pel--macros pel--base pel finder-inf which-key cus-start
cus-load info edmacro kmacro package easymenu browse-url url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 517926 111494)
 (symbols 48 31419 1)
 (strings 32 154937 21608)
 (string-bytes 1 4413034)
 (vectors 16 42875)
 (vector-slots 8 549940 132422)
 (floats 8 292 2069)
 (intervals 56 5802 1445)
 (buffers 1000 17)
 (heap 1024 32345 10264))

--00000000000023aa8505ed4f0417
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>- Start &#39;Emacs -Q&#39; to visit a &#39;big&#39; s=
ource code file that is revisionned<br>=C2=A0 on Subversion 1.6.17 (r112800=
11).<br>- Use &#39;C-x v g&#39; to run vc-annotate to annotate the file.<br=
>- When the file size is over a (around) limit of 64KiB, only the lines<br>=
=C2=A0 corresponding to about 64KiB characters are annotated as they should=
.<br>=C2=A0 The lines after that limit are not annotated.=C2=A0 The command=
 does not<br>=C2=A0 fail and does not report any problem.=C2=A0 It&#39;s ju=
st that it does not<br>=C2=A0 annotate the complete set of lines.<br><br>If=
 I try &#39;svn blame&#39; on that file inside a bash shell running in the<=
br>Linux terminal, all lines are annotated.=C2=A0 If I start a shell inside=
<br>Emacs (with M-x shell) and I run the &#39;svn blame&#39; command inside=
 that<br>shell, then all lines are annotated.<br><br>If the file is small, =
all lines are annotated by vc-annotate.<br>But when the file is large (over=
 about 64KiB) then the end of the files<br>are never annotated.<br><br>This=
 happens on Subversion.<br></div><div>No crash.</div><div>-----------------=
------------------------------<br></div><div><br>If Emacs crashed, and you =
have the Emacs process in the gdb debugger,<br>please include the output fr=
om the following gdb commands:<br>=C2=A0 =C2=A0 &#39;bt full&#39; and &#39;=
xbacktrace&#39;.<br>For information about debugging Emacs, please read the =
file<br>/usr/local/share/emacs/27.2/etc/DEBUG.<br><br>In GNU Emacs 27.2 (bu=
ild 1, x86_64-pc-linux-gnu, GTK+ Version 3.18.9)<br>=C2=A0of 2022-02-07 bui=
lt on roup-ubuntu16-4<br>System Description: Ubuntu 16.04.7 LTS<br><br>Rece=
nt messages:<br>Marking matching files...<br>0 matching files marked<br>Hid=
 0 dotfiles.<br>Marking matching files...<br>1 matching file marked<br>Hid =
1 dotfile.<br>Annotating...<br>Redisplaying annotation...done (Spanned from=
 14865.2 to 4045.3 days old)<br>Annotating... done<br>Mark set<br><br>Confi=
gured features:<br>XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS GLIB NOTIFY I=
NOTIFY GNUTLS<br>FREETYPE HARFBUZZ XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XD=
BE XIM MODULES<br>THREADS PDUMPER GMP<br><br>Important settings:<br>=C2=A0 =
value of $LANG: en_US.UTF-8<br>=C2=A0 value of $XMODIFIERS: @im=3Dibus<br>=
=C2=A0 locale-coding-system: utf-8-unix<br><br>Major mode: C++//la<br><br>M=
inor modes in effect:<br>=C2=A0 smart-dash-c-mode: t<br>=C2=A0 smart-dash-m=
ode: t<br>=C2=A0 ggtags-mode: t<br>=C2=A0 display-time-mode: t<br>=C2=A0 id=
o-everywhere: t<br>=C2=A0 winner-mode: t<br>=C2=A0 key-chord-mode: t<br>=C2=
=A0 global-anzu-mode: t<br>=C2=A0 anzu-mode: t<br>=C2=A0 flyspell-mode: t<b=
r>=C2=A0 superword-mode: t<br>=C2=A0 show-paren-mode: t<br>=C2=A0 recentf-m=
ode: t<br>=C2=A0 which-key-mode: t<br>=C2=A0 tooltip-mode: t<br>=C2=A0 glob=
al-eldoc-mode: t<br>=C2=A0 eldoc-mode: t<br>=C2=A0 electric-indent-mode: t<=
br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t<br>=C2=A0 menu-bar=
-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-font-lock-mode=
: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 auto-composition-mode: t<br>=C2=
=A0 auto-encryption-mode: t<br>=C2=A0 auto-compression-mode: t<br>=C2=A0 co=
lumn-number-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 transient-mark-=
mode: t<br>=C2=A0 abbrev-mode: t<br><br>Load-path shadows:<br>/home/rouleau=
p/.emacs.d/utils/sr-speedbar hides /home/rouleaup/.emacs.d/elpa/sr-speedbar=
-20161025.831/sr-speedbar<br>/home/rouleaup/.emacs.d/elpa/lispy-20220203.14=
37/elpa hides /home/rouleaup/.emacs.d/elpa/ivy-20211231.1730/elpa<br><br>Fe=
atures:<br>(shadow sort mail-extr emacsbug message rmc puny format-spec rfc=
822 mml<br>mml-sec epa derived epg epg-config gnus-util rmail rmail-loaddef=
s<br>text-property-search time-date mm-decode mm-bodies mm-encode mail-pars=
e<br>rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045<br>ie=
tf-drums mm-util mail-prsvr mail-utils smex windmove vc-annotate<br>pel-vc =
vc-dir vc vc-dispatcher vc-svn emacros pel-skels-cpp pel-skels-c<br>pel-lis=
t pel-uuid pel-cc pel-cc-find pel-ini pel-ffind-inpath pel-ffind<br>pel-fil=
e smart-dash ggtags ewoc cc-mode cc-fonts cc-guess cc-menus<br>cc-cmds cc-s=
tyles cc-align cc-engine cc-vars cc-defs ace-link time<br>ido-completing-re=
ad+ memoize cus-edit minibuf-eldef pel-skels-generic<br>counsel xdg compile=
 comint ansi-color swiper cl-extra ivy flx ivy-faces<br>ivy-overlay colir c=
olor ido-grid ido pel-completion pel-ido pel-seq<br>indent-tools yafolding =
s indent-tools-indentation-of winner pel-xref<br>pel-text-transform pel-rea=
d pel-navigate pel-scroll key-seq<br>pel-key-chord key-chord anzu dired-aux=
 dired-hide-dotfiles dired-x dired<br>dired-loaddefs term/xterm xterm tempo=
 pel-skels-elisp pel-text-insert<br>pel-syntax pel--syntax-macros pel-windo=
w pel-tempo pel-skels lispy pcase<br>delsel lispy-inline thingatpt avy nout=
line outline easy-mmode etags<br>fileloop generator xref project edebug bac=
ktrace help-fns radix-tree<br>help-mode lispy-tags mode-local advice find-f=
unc pel__hydra hydra ring<br>lv pel-lispy pel-spell-iedit flyspell ispell p=
el-spell pel-prompt<br>cap-words superword subword imenu+ pel-imenu imenu p=
aren pel_keys vc-p4<br>p4-lowlevel recentf tree-widget wid-edit two-column =
speedbar sb-image<br>ezimage dframe ls-lisp delight pel-autoload pel--keys-=
macros<br>pel--options pel--macros pel--base pel finder-inf which-key cus-s=
tart<br>cus-load info edmacro kmacro package easymenu browse-url url-handle=
rs<br>url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs<=
br>password-cache json subr-x map url-vars seq byte-opt gv bytecomp<br>byte=
-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify<br>ediff-=
hook vc-hooks lisp-float-type mwheel term/x-win x-win<br>term/common-win x-=
dnd tool-bar dnd fontset image regexp-opt fringe<br>tabulated-list replace =
newcomment text-mode elisp-mode lisp-mode<br>prog-mode register page tab-ba=
r menu-bar rfn-eshadow isearch timer<br>select scroll-bar mouse jit-lock fo=
nt-lock syntax facemenu font-core<br>term/tty-colors frame minibuffer cl-ge=
neric cham georgian utf-8-lang<br>misc-lang vietnamese tibetan thai tai-vie=
t lao korean japanese eucjp-ms<br>cp51932 hebrew greek romanian slovak czec=
h european ethiopic indian<br>cyrillic chinese composite charscript charpro=
p case-table epa-hook<br>jka-cmpr-hook help simple abbrev obarray cl-preloa=
ded nadvice loaddefs<br>button faces cus-face macroexp files text-propertie=
s overlay sha1 md5<br>base64 format env code-pages mule custom widget hasht=
able-print-readable<br>backquote threads dbusbind inotify dynamic-setting s=
ystem-font-setting<br>font-render-setting move-toolbar gtk x-toolkit x mult=
i-tty<br>make-network-process emacs)<br><br>Memory information:<br>((conses=
 16 517926 111494)<br>=C2=A0(symbols 48 31419 1)<br>=C2=A0(strings 32 15493=
7 21608)<br>=C2=A0(string-bytes 1 4413034)<br>=C2=A0(vectors 16 42875)<br>=
=C2=A0(vector-slots 8 549940 132422)<br>=C2=A0(floats 8 292 2069)<br>=C2=A0=
(intervals 56 5802 1445)<br>=C2=A0(buffers 1000 17)<br>=C2=A0(heap 1024 323=
45 10264))<br></div></div>

--00000000000023aa8505ed4f0417--




Acknowledgement sent to Pierre Rouleau <prouleau001@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#59232; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 13 Nov 2022 18:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.